@import url("https://fonts.googleapis.com/css2?family=Share+Tech+Mono&family=Orbitron:wght@400;700&display=swap");

@media (max-width: 768px) {
    header h1 {
        font-size: 1.5rem;
        text-align: center;
    }
    .hero h1 {
    font-size: 1.8rem;
    }
    .footer-nav {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .agent-box {
        width: 90%;
        bottom: 78px;
        right: 5%;
    }
}


/* BASE */
html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
    font-family: 'Orbitron', sans-serif;
    background: #403d37;
    color: #B0B3B8;
}

main {
    flex: 1;
}

h2 {
    font-size: 30;
    color: #00ffd5;
}


/* HEADER */
header h1 {
    text-align: center;
    font-size: 50px;
    font-weight:400;
    color:#dbca9a;
}
header p {
    text-align: center;
    font-size: 20px;
    font-weight:300;
    color:#dbca9a;
}


/* HERO */
.hero {
    margin: 50px;
}
.hero h2 {
    font-size: 30;
    color: #00ffd5;
}
.hero p {
    font-family: 'Roboto Mono', sans-serif;
    font-size: 18px;
}


/* Classes Section */
.classes-section {
    padding: 2rem;
    background-color: #403d37;
    color: #B0B3B8;   
}
.class-cards {
    display: grid;
    grid-template-columns: .5fr .5fr;
    gap: 1.5rem;
    font-family: 'Roboto Mono', sans-serif;
    font-size: 16px;
}
.class-cards a {
    color: #B0B3B8;
    text-decoration: none;
}
.class-card1 {
    background-color: #422f2a;
    padding: 1.5rem;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.5);
}
.class-card2 {
    background-color: #422f2a;
    padding: 1.5rem;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.5);
}
.class-card2 img {
    width: 100%;
    object-fit: contain;
}

/* Projects Section */
.projects-section {
    padding: 2rem;
    background-color: #403d37;
    color: #B0B3B8;
}
.project-cards {
    display: grid;
    grid-template-areas: none;
    gap: 1.5rem;
    font-family: 'Roboto Mono', sans-serif;
    font-size: 16px;
}
.project-card {
    background-color: #422f2a;
    padding: 1.5rem;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.5);
}
.project-card h3 {
    margin-bottom: 0.5rem;
    font-family: 'Orbitron', sans-serif;
    font-size: 25px;
    color: #DAA520;
}
.title h3:hover {
    color: #f2dca4;
}

.project-card a {
    display: inline-block;
    margin-top: 1rem;
    font-family: 'Orbitron', sans-serif;
    color: #00ffd5;
    text-decoration: none;
}
.project-card a:hover {
    color: #268c7b;
}


/* CERTIFICATIONS */ 
.certs-section {
    padding: 2rem;
    background-color: #403d37;
}
.cert-cards {
    display: grid;
    grid-template-areas: none;
    gap: 1.5rem;
}
.cert-card {
    background-color: #422f2a;
    padding: 1.5rem;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.5);
}
.cert-card a {
    color: #B0B3B8;
    text-decoration: none; 
}
.cert-card a:hover {
    color:blanchedalmond;
}


/* FOOTER */
footer {
    color: #dbca9a;
    text-align: center;
    padding: 1rem;
    position: relative;
}

.social-icons a {
    color: #dbca9a;
    text-decoration: none;
}

.footer-nav a {
    color: #dbca9a;
    text-decoration: none;
}

i {
    margin-right: 6px;
}


/* FEEDBACK */
.tooltip button {
    background-color:#dbca9a;
    color: black;
}


/* CONTACT Dropdown container */
.dropdown {
    position: relative;
    display: inline-block;
}


/* Hidden content */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f4f6f7;
    min-width: 120px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 6px;
    text-align: left;
}